## org.eclipse.jetty.annotations
Class ClassInheritanceHandler

    java.lang.Object
      org.eclipse.jetty.annotations.ClassInheritanceHandler

All Implemented Interfaces:
  AnnotationParser.ClassHandler

    public class ClassInheritanceHandler

extends Object
implements AnnotationParser.ClassHandler

ClassInheritanceHandler As asm scans for classes, remember the type hierarchy.

Constructor Summary
`ClassInheritanceHandler()`

Method Summary
`List` `getClassNamesExtendingOrImplementing(String className)`
`MultiMap` `getMap()`
`void` `handle(String className, int version, int access, String signature, String superName, String[] interfaces)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInheritanceHandler

    public ClassInheritanceHandler()

Method Detail

### handle

    public void handle(String className,
                       int version,
                       int access,
                       String signature,
                       String superName,
                       String[] interfaces)

  Specified by:
    `handle` in interface `AnnotationParser.ClassHandler`

### getClassNamesExtendingOrImplementing

    public List getClassNamesExtendingOrImplementing(String className)

### getMap

    public MultiMap getMap()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.